<?php

namespace common\logic\Config\TaxRate\Service;

use common\logic\AbstractBuilder;
use common\logic\Config\TaxRate\Model\TaxRate;

class TaxRateBuilder extends AbstractBuilder
{
    public function instanciateTaxRate(): TaxRate
    {
        $taxRate = new TaxRate();

        return $taxRate;
    }

    public function createTaxRate(): TaxRate
    {
        $taxRate = $this->instanciateTaxRate();

        $this->saveCreate($taxRate);

        return $taxRate;
    }
}